import { ModalId } from './context';
import { MODAL_PROXY } from './hooks';

export const openModal = (modalId: ModalId) => {
	MODAL_PROXY?.push(modalId);
};

export const closeModal = (modalId: ModalId) => {
	const index = MODAL_PROXY?.indexOf(modalId);
	if (index !== undefined) {
		MODAL_PROXY?.splice(index, 1);
	}
};
