import { ReactNode } from 'react';

export type MenuItem = {
	external?: boolean;
	href?: string;
	icon?: ReactNode;
	label: string | null;
	onClick?: () => void;
	subMenu?: SubMenuItem[];
};

export type SubMenuItem = Omit<MenuItem, 'subMenu'>;
