import { lang } from '@prokyon/localization/init';
import { t as trjT } from '@prokyon/localization/message';

type Dictionary = {
	be: {
		happy: string;
	};
};

const enGB = {
	be: {
		happy: 'Be happy :-).',
	},
};

const csCZ = {
	be: {
		happy: 'Buď štastný :-).',
	},
};

const t = trjT<Dictionary>

export const Example = () => {
	lang.addResource<Dictionary>('en', enGB);
	lang.addResource<Dictionary>('cs', csCZ);

	return t('be.happy');
};
