import React from 'react';
import clsx from 'clsx';

export type HourViewProps = {
	children?: any;
	className?: string;
	onClick?: (event: any) => void;
};

const HourView: React.FC<HourViewProps> = (props) => {
	const { className, onClick, children } = props;
	return (
		<div className={clsx('h-8 m-0.5', className)} onClick={onClick}>
			{children}
		</div>
	);
};

export default HourView;
