import { Meta, StoryObj } from '@storybook/react';

import { HumanVerify } from '@prokyon/components/HumanVerify';

type Story = StoryObj<typeof HumanVerify>;

export default {
	component: HumanVerify,
	parameters: {
		docs: {
			description: {
				component: "`import { HumanVerify } from '@prokyon/components/HumanVerify';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {},
};

export const WithTitle: Story = {
	args: {
		label: 'Are you human?',
	},
};
